Skip to content

GET TLS Summary.

GET
/api/observability/synthetic_monitor/namespaces/{namespace}/tls-summary
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/tls-summary \
--header 'Authorization: <Authorization>'

Returns TLS summary of all HTTPS monitors running in namespace.

Examples of this operation.

namespace
required
string

Namespace Request namespace.

A successful response.

Media typeapplication/json
GetTLSSummaryResponse

TLS summary of HTTPS monitors in namespace.

object
items
items

List of TLS items.

Array<object>
TLSItem

Object containing list and percent of monitors using specified TLS protocol.

object
monitor_list
monitor_list

List of monitors using given TLS protocol.

Array<string>
monitor_protocol
string
default: SSLv2
Allowed values: SSLv2 SSLv3 TLS1 TLS1_1 TLS1_2 TLS1_3 NPN ALPN
percentage
percentage

Percent of monitors using given TLS procotol.

integer format: int32
Example
{
"items": [
{
"monitor_protocol": "SSLv2"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example